Loading...
Searching...
No Matches
AVIndexEntry Struct Reference

`#include <libavformat/avformat.h>`

## Data Fields

int64_t | pos
int64_t | timestamp
| Timestamp in AVStream.time_base units, preferably the time from which on correctly decoded frames are available when seeking to this entry.
int | flags:2
int | size:30
int | min_distance
| Minimum distance between this and the previous keyframe, used to avoid unneeded searching.

## Detailed Description

Definition at line 602 of file avformat.h.

## Field Documentation

## pos

int64_t AVIndexEntry::pos

Definition at line 603 of file avformat.h.

## timestamp

int64_t AVIndexEntry::timestamp

Timestamp in AVStream.time_base units, preferably the time from which on correctly decoded frames are available when seeking to this entry.

That means preferable PTS on keyframe based formats. But demuxers can choose to store a different timestamp, if it is more convenient for the implementation or nothing better is known

Definition at line 604 of file avformat.h.

## flags

int AVIndexEntry::flags

Definition at line 612 of file avformat.h.

## size

int AVIndexEntry::size

Definition at line 613 of file avformat.h.

## min_distance

int AVIndexEntry::min_distance

Minimum distance between this and the previous keyframe, used to avoid unneeded searching.

Definition at line 614 of file avformat.h.

The documentation for this struct was generated from the following file:

- libavformat/avformat.h